<template>
    <Page>
        <ActionBar class="header">
            <StackLayout>
                <FlexboxLayout
                    flexDirection="row"
                    justifyContent="space-between" class="navbar"
                >
                    <Image
                        src="~/assets/images/menu.png"
                        class="menu"
                        stretch="fill"
                        @tap="$refs.drawer.nativeView.showDrawer()"
                    ></Image>
                    <Image
                        src="~/assets/images/logo.png"
                        class="logo"
                        stretch="fill"
                    ></Image>
                    <Image
                        src="~/assets/images/cloche.png"
                        class="bell"
                        stretch="fill"
                    ></Image>
                </FlexboxLayout>
            </StackLayout>
        </ActionBar>

        <RadSideDrawer ref="drawer">
            <StackLayout ~drawerContent backgroundColor="#ffffff">
                <DrawerContent/>
            </StackLayout>

            <StackLayout ~mainContent>
                <Label class="title">Mes logements</Label>
                <FlexboxLayout flexDirection="column" class="full-height">
                    <ListView for="item in listOfItems">
                        <v-template>
                            <FlexboxLayout flexDirection="row" class="annonce" @Tap="goToPage(item.adv_id)">
                                <Image
                                    src="~/assets/images/maison.png"
                                    class="img-annonce"
                                    stretch="fill"
                                ></Image>
                                <FlexboxLayout flexDirection="column" class="annonce-content">
                                    <Label class="titre-annonce" :text="item.adv_name" textWrap="true"/>
                                    <Label class="tag-annonce" :text="item.adv_type" textWrap="true"/>
                                    <Label class="address-annonce" textWrap="true"
                                           :text="item.adv_adress"/>
                                    <Label class="address-annonce" textWrap="true"
                                           :text="item.adv_postal + ' ' + item.adv_city"/>
                                    <Label class="reserv-annonce" :text="item.adv_price + ' €/jour'" textWrap="true"/>

                                </FlexboxLayout>
                            </FlexboxLayout>
                        </v-template>
                    </ListView>
                </FlexboxLayout>
            </StackLayout>
        </RadSideDrawer>
    </Page>
</template>

<script>
import DrawerContent from "./DrawerContent";
import {Http} from "@nativescript/core";
import {Couchbase} from 'nativescript-couchbase-plugin';

const database = new Couchbase('atp_base');

export default {
    components: {
        DrawerContent,
    },
    data() {
        return {
            user: {},
            token: "",
            listOfItems: [],
        };
    },
    mounted() {
        let db = database.query({select: []})
        this.token = db[0].userStore.access_token
        this.user = db[0].userStore
        this.getAdverts()
    },
    methods: {
        goToPage(id) {
            this.$navigateTo(this.$routes.MyHouse, {
                props: {
                    idAdvert: id,
                }
            });
        },
        async getAdverts() {
            const response = await Http.request({
                url: "https://api.atypikhouse.art/getUserAdvert",
                method: "POST",
                headers: {
                    Authorization: 'Bearer ' + this.token,
                    "Content-Type": "application/json",
                    "Access-Control-Allow-Origin": "*",
                },
                content: JSON.stringify({
                    adv_usr_id: this.user.usr_id
                }),
            })
            var result = response.content.toJSON();
            for (let advert in result.userAdvert) {
                this.listOfItems.push(result.userAdvert[advert]);
            }

        }
    },
};
</script>

<style scoped>
.header {
    background-image: url("~/assets/images/header.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
}

.navbar {
    height: 120;
    width: 100%;
    padding-top: 30;
}

.menu {
    text-align: left;
    width: 40;
    margin-top: 13vh;
    margin-bottom: 40vh;
}

.logo {
    width: 70;
    height: 90px;
    margin-bottom: 20vh;
    justify-self: center;
}

.bell {
    text-align: right;
    width: 40vw;
    margin-top: 13vh;
    margin-bottom: 40vh;
    margin-right: 10;
}

.full-height {
    height: 100%;
    margin-left: 20vw;
    margin-right: 20vw;
}

.title {
    text-align: center;
    font-size: 25px;
    color: #2d2d2d;
    margin-bottom: 20;
    margin-top: 20;
}

.annonce {
    padding-top: 10;
    padding-bottom: 10;
    border-bottom-color: #7d7d7d;
    border-bottom-width: 2;
}

.img-annonce {
    width: 100;
    margin-right: 20;
}

.titre-annonce {
    font-size: 16px;
    color: #2d2d2d;
}

.address-annonce {
    font-size: 14px;
    color: #7d7d7d;
    display: flex;
    flex-wrap: wrap;
}

.reserv-annonce {
    font-size: 14px;
    color: #7d7d7d;
    display: flex;
    flex-wrap: wrap;
}

.tag-annonce {
    font-size: 12px;
    text-align: left;
    color: #339e33;
    padding: 3 2;
}
</style>

